Package ch.qos.logback.access.sift

# Class SiftingJoranConfigurator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.GenericConfigurator
ch.qos.logback.core.sift.SiftingJoranConfiguratorBase<IAccessEvent>
ch.qos.logback.access.sift.SiftingJoranConfigurator

All Implemented Interfaces:
  `ContextAware`

public class SiftingJoranConfigurator extends SiftingJoranConfiguratorBase<IAccessEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.sift.SiftingJoranConfiguratorBase

`key, parentPropertyMap, value`

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addInstanceRules(RuleStore rs)`
`protected void`
`buildInterpreter()`
`Appender<IAccessEvent>`
`getAppender()`
`protected ElementPath`
`initialElementPath()`

### Methods inherited from class ch.qos.logback.core.sift.SiftingJoranConfiguratorBase

`addImplicitRules, doConfigure, oneAndOnlyOneCheck, toString`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`addDefaultNestedComponentRegistryRules, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### initialElementPath

protected ElementPath initialElementPath()

Overrides:
  `initialElementPath` in class `GenericConfigurator`

### addInstanceRules

protected void addInstanceRules(RuleStore rs)

Overrides:
  `addInstanceRules` in class `SiftingJoranConfiguratorBase<IAccessEvent>`

### buildInterpreter

protected void buildInterpreter()

Overrides:
  `buildInterpreter` in class `GenericConfigurator`

### getAppender

public Appender<IAccessEvent> getAppender()

Specified by:
  `getAppender` in class `SiftingJoranConfiguratorBase<IAccessEvent>`